Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.jms.extensions
Interface WLMessageProducer

public interface WLMessageProducer
extends javax.jms.MessageProducer

A WLMessageProducer provides methods not supported by javax.jms.MessageProducer.

WLMessageProducer provide methods for the following:

- Setting and getting the time to deliver.
- Setting and getting the redelivery limit.
- Setting and getting the send timeout.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `MessageProducer`

Method Summary
`int` | `getRedeliveryLimit()` Get the redelivery limit for the producer.
`long` | `getSendTimeout()` Get the send timeout the producer.
`long` | `getTimeToDeliver()` Get the time to deliver for this producer; this is a relative time representing the delay in milliseconds before a sent message is made visible on its target destination.
`void` | `setRedeliveryLimit(int redeliveryLimit)` Set the redelivery limit for the producer.
`void` | `setSendTimeout(long sendTimeout)` Set the send timeout for the producer.
`void` | `setTimeToDeliver(long timeToDeliver)` Set the time to deliver for this producer; this is a relative time representing the delay in milliseconds before a sent message is made visible on its target destination.

Methods inherited from interface javax.jms.MessageProducer
`close, getDeliveryMode, getDisableMessageID, getDisableMessageTimestamp, getPriority, getTimeToLive, setDeliveryMode, setDisableMessageID, setDisableMessageTimestamp, setPriority, setTimeToLive`

Method Detail

### getTimeToDeliver

    public long getTimeToDeliver()
                          throws javax.jms.JMSException

  Get the time to deliver for this producer; this is a relative time representing the delay in milliseconds before a sent message is made visible on its target destination. The default time to deliver is 0; this default can be changed by modifying the configuration of the connection factory used to create this producer. If the time to deliver on the producer is set to -1 (the default), then this method will return the default time to deliver, which is the configurable value on the connection factory used to create this producer.

  Returns:
    The time to deliver for the message.
  Throws:
    javax.jms.JMSException - if a JMS error occurs.
  See Also:
    `setTimeToDeliver(long)`, `weblogic.jms.extensions.WLMessage.getJMSDeliveryTime()`

### setTimeToDeliver

    public void setTimeToDeliver(long timeToDeliver)
                          throws javax.jms.JMSException

  Set the time to deliver for this producer; this is a relative time representing the delay in milliseconds before a sent message is made visible on its target destination. The default time to deliver is 0; this default can be changed by modifying the configuration of the connection factory used to create this producer. Setting the time to deliver to -1 forces use of this default. Setting the time to deliver to anything greater than or equal to 0 overrides this default.

  Parameters:
    `timeToDeliver` - The time to deliver this message.
  Throws:
    javax.jms.JMSException - if a JMS error occurs.
  See Also:
    `getTimeToDeliver()`, `weblogic.jms.extensions.WLMessage.getJMSDeliveryTime()`

### getRedeliveryLimit

    public int getRedeliveryLimit()
                           throws javax.jms.JMSException

  Get the redelivery limit for the producer. This is the number of times a message will be redelivered after a recover or rollback. When this limit is reached, the message is moved to the error destination if one is configured, otherwise, the message is deleted. This limit may be overridden by a configured redelivery limit for the entire destination.

  Returns:
    The number of times to redeliver the message
  Throws:
    javax.jms.JMSException - if a JMS error occurs.
  See Also:
    `weblogic.jms.extensions.WLMessage.getJMSRedeliveryLimit()`, `weblogic.jms.extensions.WLMessage.setJMSRedeliveryLimit(int)`

### setRedeliveryLimit

    public void setRedeliveryLimit(int redeliveryLimit)
                            throws javax.jms.JMSException

  Set the redelivery limit for the producer. This is the number of times a message will be redelivered after a recover or rollback. When this limit is reached, the message is moved to the error destination if one is configured, otherwise, the message is deleted. This limit may be overridden by a configured redelivery limit for the entire destination. A redelivery limit of -1 (the default) implies that there is no redelivery limit unless a limit is specified on the destination.

  Parameters:
    `redeliveryLimit` - the number of times to redeliver the message
  Throws:
    javax.jms.JMSException - if a JMS error occurs.
  See Also:
    `weblogic.jms.extensions.WLMessage.getJMSRedeliveryLimit()`, `weblogic.jms.extensions.WLMessage.setJMSRedeliveryLimit(int)`

### getSendTimeout

    public long getSendTimeout()
                        throws javax.jms.JMSException

  Get the send timeout the producer. This is the maximum time the producer will wait (in milliseconds) for space when sending a message. The default value is configurable on the connection factory used to create this producer.

  Returns:
    the send timeout in milliseconds
  Throws:
    javax.jms.JMSException - if a JMS error occurs.

### setSendTimeout

    public void setSendTimeout(long sendTimeout)
                        throws javax.jms.JMSException

  Set the send timeout for the producer. This is the maximum time the producer will wait (in milliseconds) for space when sending a message. The default value is configurable on the connection factory used to create this producer.

  Parameters:
    `the` - send timeout in milliseconds
  Throws:
    javax.jms.JMSException - if a JMS error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD